%define oname gdancer

Summary: GDancer - The Dancing Space Ghost XMMS plugin
Name: xmms-gdancer
Version:0.4.5
Release: alt1
License: GPL
Group: Sound
Url: http://www.figz.com/gdancer/
Source: %oname-%version.tar.bz2
Patch0: xmms-gdancer-0.4.5-makefile.patch
Requires: xmms >= 1.0.0

# Automatically added by buildreq on Fri Nov 15 2002
BuildRequires: XFree86-devel XFree86-libs glib-devel glibc-devel-static gtk+-devel libxmms-devel

%description
GDancer is a cute little plugin for XMMS that allows for a character to
dance to the music playing.  It also supports themes so you can pick
different characters to dance for you.

%prep
%setup -q -n %oname-%version
%patch -p1

%set_autoconf_version 2.13
%set_automake_version 1.4

%build
automake
%configure
%make_build

%install
make DESTDIR=$RPM_BUILD_ROOT install

%post
/sbin/ldconfig -n /usr/lib/xmms/Visualization

%postun
/sbin/ldconfig -n /usr/lib/xmms/Visualization

%files
%doc AUTHORS ChangeLog README README.themes TODO
%_libdir/xmms/Visualization/gdancer.so
%_libdir/xmms/Visualization/gdancer.la

%changelog
* Fri Nov 15 2002 Konstantin Volckov <goldhead@altlinux.ru> 0.4.5-alt1
- 1.4.5
- Some spec cleanup
- Added buildrequires

* Thu Jun 28 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.3.3-alt1
- New release
- Fix makefile

* Thu Feb 22 2001 Kostya Timoshenko <kt@petr.kz> 0.2.0-ipl4mdk
- build for RE

* Thu Feb 15 2001 Lenny Cartier <lenny@mandrakesift.com> 0.2.0-4mdk
- rebuild

* Thu Sep 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-3mdk
- macros

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- fix group

* Mon Mar 20 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip source
